- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
_Eina_Accessor Struct Reference
Eina » Data Types » Content Access » Accessor Functions

Structure to provide random access to data structures. More...

## Public Member Functions
Eina_Accessor_Get_At_Callback get_at | EINA_ARG_NONNULL (1, 3) EINA_WARN_UNUSED_RESULT
| Callback called when a data element is requested.
Eina_Accessor_Get_Container_Callback get_container | EINA_ARG_NONNULL (1) EINA_WARN_UNUSED_RESULT
| Callback called when the container is requested.
Eina_Accessor_Free_Callback free | EINA_ARG_NONNULL (1)
| Callback called when the container is freed.

## Data Fields
int | version
| Version of the Accessor API.
Eina_Accessor_Lock_Callback lock | EINA_WARN_UNUSED_RESULT
| Callback called when the container is locked.
Eina_Accessor_Lock_Callback unlock | EINA_WARN_UNUSED_RESULT
| Callback called when the container is unlocked.
EINA_MAGIC Eina_Accessor_Clone_Callback clone | EINA_WARN_UNUSED_RESULT
| Callback called when the container is to be cloned. More...

## Detailed Description

Structure to provide random access to data structures.

Note
  When creating an accessor remember to set the type using EINA_MAGIC_SET

Examples:
  eina_accessor_01.c.

## Field Documentation

EINA_MAGIC Eina_Accessor_Clone_Callback clone _Eina_Accessor::EINA_WARN_UNUSED_RESULT

Callback called when the container is to be cloned.

Since
  1.10